#if !defined(AFX_TEXTPAGE_H__3B27FF0E_E552_4F12_B19A_25A4CA2DF51D__INCLUDED_)
#define AFX_TEXTPAGE_H__3B27FF0E_E552_4F12_B19A_25A4CA2DF51D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TextPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTextPage dialog

class CTextPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CTextPage)

// Construction
public:
	CTextPage();
	~CTextPage();

// Dialog Data
	//{{AFX_DATA(CTextPage)
	enum { IDD = IDD_TEXTPAGE };
	BOOL	m_TextCreateStencil;
	BOOL	m_TextPlusCore;
	CString	m_TextPoints;
	CString	m_TextHeight;
	CString	m_TextDepth;
	CString	m_TextBorder;
	CString	m_TextEdit;
	BOOL	m_TextReduceVertices;
	BOOL	m_TextJoin;
	BOOL	m_TextFace;
	BOOL	m_TextExtrude;
	CString	m_TextFontName;
	int		m_LayerGroup;
	CString	m_TextLayerName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CTextPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CTextPage)
	afx_msg void OnTextselectfont();
	afx_msg void OnTextfontdirectory();
	afx_msg void OnTextcreatestencil();
	afx_msg void OnTextpluscore();
	afx_msg void OnTextpointsdown();
	afx_msg void OnTextpointsup();
	afx_msg void OnTextreducevertices();
	afx_msg void OnTextjoin();
	afx_msg void OnTextface();
	afx_msg void OnTextextrude();
	afx_msg void OnConerttext();
	virtual BOOL OnInitDialog();
	afx_msg void OnConverttext();
	afx_msg void OnTextonelayer();
	afx_msg void OnTextmultiplelayers();
	afx_msg void OnApplybevels1();
	afx_msg void OnApplybevels2();
	afx_msg void OnApplybevels3();
	afx_msg void OnTextmakebevelsets();
	afx_msg void OnTextselectlayer();
  afx_msg void OnTransferoutlines1();
  afx_msg void OnTransferoutlines2();
  afx_msg void OnTransferoutlines3();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
 
  void DoConvertText(__int32 unicodeFlag);

public:
  afx_msg void OnBnClickedTextPaste();
  afx_msg void OnBnClickedConvertUnicodeText();
  afx_msg void OnBnClickedTextOnCurve();
  afx_msg void OnBnClickedTextOrigVerts();
  afx_msg void OnBnClickedTextAllChars();
  BOOL m_TextOnCurve;
  BOOL m_TextOrigVerts;
  BOOL m_TextAllChars;
  BOOL m_TextReverseOutlines;
  afx_msg void OnBnClickedTextReverseOutlines();
  CString m_TextUnicodeEdit;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TEXTPAGE_H__3B27FF0E_E552_4F12_B19A_25A4CA2DF51D__INCLUDED_)
